#!/bin/sh

## Create deb package for CBpanel
## David [a.k.a] ADcomp < david.madbox@gmail.com >
## ADcomp - http://www.ad-comp.be

VERSION="0.2-all"
DIR_TEMP="deb"
PWD=$(echo `pwd`)
TMP=$PWD

echo
echo "## Make deb package ##"
echo

## Are you ROOT ?
if [ "$(id -u)" != "0" ]; then
echo “This script must be run as root” 2>&1
exit 1
fi

## if exist , remove directory
echo "* remove temp directory if exist .."
rm -rf $DIR_TEMP

## create directory
echo "* create directory .."
mkdir $DIR_TEMP
mkdir -p $DIR_TEMP/usr/share/cbpanel
mkdir -p $DIR_TEMP/usr/bin
mkdir $DIR_TEMP/DEBIAN

## config
echo "* copy debian config .."
cp control-install $DIR_TEMP/DEBIAN/control

## copy application
echo "* copy application"
cp -a CBpanel cbpanel* config wnck.so theme* $DIR_TEMP/usr/share/cbpanel

## link
echo "* link to application .."
cd $DIR_TEMP/usr/bin
ln -s ../share/cbpanel/cbpanel
cd $TMP

## files should be ROOT ?
chown -R root:root $DIR_TEMP

## create package
echo "* create package .."
rm cbpanel.$VERSION.deb
dpkg-deb --build $DIR_TEMP cbpanel.$VERSION.deb
chmod a+rw cbpanel.$VERSION.deb

## remove temp directory
echo "* remove temp directory .."
rm -rf $DIR_TEMP
